Subject: bug#9781: 24.0.90; VC can't commit removed files/directories.

From: Glenn Morris <[email-masked]>
Date: Sat, 29 Oct 2011 14:32:23 -0400

Jan Djärv wrote:

> I guess we have to check all backends individually. 

I checked CVS, SVN and bzr; all have no problems committing read-only
files. So this whole "is the file read-only" check should simply be
skipped for those backends IMO. (I suspect only RCS is going to care
about read-onlyness.)